%define pkgname		control-center
%define libnamedev	%mklibname -d gnome-window-settings

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	GNOME control center
Name:		gnome-%{pkgname}
Version:	3.6.3
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-control-center-3.1.4-fix-locale-archive-location.patch
# from git
Patch2:		gnome-control-center-3.6.1-ignore-hosts.patch
# (cjw) Network Manager is not required in mageia, the network panel contains proxy settings that work/are needed, 
#       so the extremely annoying warning "The system network services are not compatible with this version." has to go.
Patch3:		gnome-control-center-3.6.3-no-networkmanager.patch
BuildRequires:	cups-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(colord) >= 0.1.8
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.23.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gnome-bluetooth-1.0) >= 3.5.5
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.0
BuildRequires:	pkgconfig(gnome-settings-daemon) >= 3.3.90
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(goa-backend-1.0) >= 3.5.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.3.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.5
BuildRequires:	pkgconfig(ibus-1.0) >= 1.4.99.2012100
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.13
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.91
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.91
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libnotify) >= 0.7.3
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(libxklavier) >= 5.1
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(pwquality)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi) >= 1.2
BuildRequires:	pkgconfig(NetworkManager) >= 0.8.992
BuildRequires:	pkgconfig(libnm-glib) >= 0.8.992
BuildRequires:	pkgconfig(libnm-glib-vpn) => 0.8.992
BuildRequires:	pkgconfig(libnm-util) >= 0.8.992
BuildRequires:	pkgconfig(libnm-gtk) >= 0.8.992
BuildRequires:	pkgconfig(gstreamer-0.10)
BuildRequires:	pkgconfig(cheese-gtk) >= 2.91.91.1
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	scrollkeeper
BuildRequires:	shared-mime-info
Requires:	gnome-settings-daemon >= 2.21.5
Requires:	gnome-icon-theme-symbolic
Requires:	gnome-color-manager
Requires:	glib-networking
Requires:	apg
Requires:	cups-pk-helper
Requires:	gsettings-desktop-schemas
# (ovitters) if networkmanager causes any issues, please file bug + cc ovitters+wally
Suggests:	networkmanager-applet
# (cjw) allow libproxy to read proxy config set by network panel
Requires:	%mklibname proxy-gnome
# (ovitters) bluetooth panel can call program from gnome-bluetooth + requires icon from gnome-bluetooth
Requires:	gnome-bluetooth
# (ovitters) Enterprise login support (optional)
Suggests:	realmd

Conflicts:	gnome-color-manager < 3.1.2-1
Conflicts:	gnome-settings-daemon < 3.1.1-1
Conflicts:	gnome-bluetooth < 1:3.3.2

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

%package -n %{libnamedev}
Summary:	Development files for GNOME control center
Group:		Development/GNOME and GTK+
Provides:	gnome-window-settings-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the development files and headers for GNOME
control center.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-update-mimedb \
	--with-libsocialweb=no \
	--with-cheese=yes \
	--enable-systemd

%make

# no support for Unity in desktop files yet, so remove references to it
find . -name '*.desktop' -exec sed -ie 's/;Unity//' {} ';'

%install
rm -rf %{buildroot}

%makeinstall_std

#ugly fix for desktop files
find %{buildroot} -name *.desktop -exec sed -i -e '/Keywords.*;$/!s/\(Keywords.*\)/\1;/g' {} \;

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PersonalSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%{find_lang} %{pkgname}-2.0 --with-gnome --all-name

mkdir -p %{buildroot}%{_datadir}/gnome-background-properties

# we do want this
mkdir -p %{buildroot}%{_datadir}/gnome/wm-properties

# we don't want these
rm -rf %{buildroot}%{_datadir}/gnome/autostart
rm -rf %{buildroot}%{_datadir}/gnome/cursor-fonts

# remove useless libtool archive files
find %{buildroot} -name '*.la' -exec rm -f {} \;

#remove unpackaged files
rm -rf %{buildroot}%{_datadir}/applications/mimeinfo.cache \
 %{buildroot}/var/lib/scrollkeeper

%files -f %{pkgname}-2.0.lang
%doc AUTHORS NEWS README
%dir %{_datadir}/gnome/wm-properties
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings
%{_datadir}/gnome-control-center/bluetooth.ui
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-control-center/ui
%{_datadir}/gnome-control-center/pixmaps
%{_datadir}/gnome-control-center/datetime/
%{_datadir}/gnome-control-center/sounds/gnome-sounds-default.xml
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome-control-center/icons/
%{_datadir}/sounds/gnome/default/*/*.ogg
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/gnome-control-center
%{_bindir}/gnome-sound-applet
%{_sysconfdir}/xdg/autostart/gnome-sound-applet.desktop
%{_sysconfdir}/xdg/menus/gnomecc.menu
%dir %{_libdir}/control-center-1
%{_libdir}/control-center-1/panels/libbackground.so
%{_libdir}/control-center-1/panels/libbluetooth.so
%{_libdir}/control-center-1/panels/libcolor.so
%{_libdir}/control-center-1/panels/libdate_time.so
%{_libdir}/control-center-1/panels/libdisplay.so
%{_libdir}/control-center-1/panels/libinfo.so
%{_libdir}/control-center-1/panels/libkeyboard.so
%{_libdir}/control-center-1/panels/libmouse-properties.so
%{_libdir}/control-center-1/panels/libonline-accounts.so
%{_libdir}/control-center-1/panels/libpower.so
%{_libdir}/control-center-1/panels/libprinters.so
%{_libdir}/control-center-1/panels/libregion.so
%{_libdir}/control-center-1/panels/libscreen.so
%{_libdir}/control-center-1/panels/libsound.so
%{_libdir}/control-center-1/panels/libuniversal-access.so
%{_libdir}/control-center-1/panels/libuser-accounts.so
%{_libdir}/control-center-1/panels/libwacom-properties.so
%{_libdir}/control-center-1/panels/libnetwork.so
%{_datadir}/pixmaps/faces
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.datetime.policy
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.user-accounts.policy
%{_datadir}/polkit-1/rules.d/gnome-control-center.rules
%{_mandir}/man1/%{name}.1*

%files -n %{libnamedev}
%{_datadir}/pkgconfig/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.3-3.mga3
+ Revision: 352070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 cjw <cjw> 3.6.3-2.mga3
+ Revision: 336142
- patch3: drop warning dialog in network panel about network manager not being available

* Thu Nov 15 2012 fwang <fwang> 3.6.3-1.mga3
+ Revision: 318046
- new version 3.6.3

* Mon Oct 22 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 309217
- new version 3.6.2

* Fri Oct 19 2012 blino <blino> 3.6.1-4.mga3
+ Revision: 308243
- network: Add an 'Ignore Hosts' entry to the proxy page (from Matthias Clasen, upstream git)

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-3.mga3
+ Revision: 306035
- enable ibus

* Thu Oct 11 2012 ovitters <ovitters> 3.6.1-2.mga3
+ Revision: 304667
- add require on gsettings-desktop-schemas (mga#7766)

* Mon Oct 08 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 303630
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297483
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295531
- new version 3.5.92

* Mon Sep 10 2012 ovitters <ovitters> 3.5.91-4.mga3
+ Revision: 292012
- reenable cheese support

* Mon Sep 10 2012 ovitters <ovitters> 3.5.91-3.mga3
+ Revision: 291985
- fix url

* Mon Sep 10 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 291981
- add suggests on realmd for enterprise login support

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288256
- update file list
- new version 3.5.91

* Tue Aug 21 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282952
- new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.6-1.mga3
+ Revision: 280258
- update file list
- br docbook-style-xsl
- update br
- new version 3.5.6

* Sun Jul 22 2012 blino <blino> 3.5.5-2.mga3
+ Revision: 273535
- disable ibus for now, since it would require ibus 1.5 pre to work properly

* Tue Jul 17 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 271996
- br ibus-1.0
- drop merged patch
- new version 3.5.5

* Sun Jul 01 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 266369
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266026
- update file list
- add upstream string literal patch
- br pwquality
- br goa-backend-1.0
- new version 3.5.3

* Mon Jun 11 2012 ovitters <ovitters> 3.4.2-2.mga3
+ Revision: 259789
- enable systemd support

* Tue May 15 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235711
- new version 3.4.2

* Sat Apr 28 2012 fwang <fwang> 3.4.1-2.mga2
+ Revision: 234044
- fix conflicts on gnome-bluetooth

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231065
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226782
- new version 3.4.0

* Sat Mar 24 2012 ovitters <ovitters> 3.3.92-3.mga2
+ Revision: 226087
- add requires on gnome-bluetooth; it can call bluetooth-wizard + needs icon from this package

* Thu Mar 22 2012 tv <tv> 3.3.92-2.mga2
+ Revision: 225681
- suggests instead of requires nm-applet
  (real fix would be to split out nm-connection-editor)

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224298
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220368
- update file list
- new version 3.3.91

  + wally <wally>
    - bump gnome-settings-daemon dep

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212277
- new version

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206494
- update file list
- new version

  + tv <tv>
    - rebuild for new libwacom

* Wed Jan 18 2012 wally <wally> 3.3.4.1-1.mga2
+ Revision: 197944
- new version 3.3.4.1

* Tue Jan 17 2012 wally <wally> 3.3.4-1.mga2
+ Revision: 197524
- new version 3.3.4
- fix devel pkg summary and description
- add an ugly workaround to fix .desktop files

  + ovitters <ovitters>
    - fix categories in desktop files
    - reenable nm-applet dep (mga#3798)

* Thu Dec 22 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 185637
- br itstool
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.3.2-2.mga2
+ Revision: 171386
- conflict with gnome-bluetooth < 3.3.2 to ensure smooth upgrade

* Wed Nov 23 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 171167
- update file list
- drop lib package
- update file list
- new version 3.3.2

* Wed Nov 09 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 165992
- temporarily disable build with cheese support
- new version 3.2.2

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155795
- new version 3.2.1

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-3.mga2
+ Revision: 150023
- add BR to enable libcheese support

* Wed Sep 28 2011 ovitters <ovitters> 3.2.0-2.mga2
+ Revision: 150019
- fix BR
- add buildrequires for networkmanager support (mga#2857)

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148819
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145876
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139068
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136559
- update file list
- new version 3.1.90

* Tue Aug 30 2011 fwang <fwang> 3.1.5-1.mga2
+ Revision: 136341
- update file list
- new version 3.1.5

  + wally <wally>
    - drop req for nm-applet for now as nm currently breaks wireless networking
    - add a patch to fix locale-archive location
    - clean and sort BRs
    - drop unused patches
    - require networkmanager-applet
    - new version 3.1.4
    - drop P25

* Tue Jul 19 2011 wally <wally> 3.1.3-7.mga2
+ Revision: 126662
- drop unneeded preun script

* Tue Jul 19 2011 ahmad <ahmad> 3.1.3-6.mga2
+ Revision: 126305
- Move gnome-keybindings.pc to the -devel package
- Change the BR to pkgconfig BR style
- Provide gnome-window-settings-devel instead of libgnome-window-settings-devel
- Provide gnome-window-settings instead of libgnome-window-settings
- Don't run autreconf (needed only for patch19, which isn't applied)
- Use %%configure2_5x
- Clean the spec (some stuff are obsolete now)

* Tue Jul 12 2011 wally <wally> 3.1.3-5.mga2
+ Revision: 123145
- require gnome-color-manager and glib-networking

* Mon Jul 11 2011 wally <wally> 3.1.3-4.mga2
+ Revision: 122201
- add more conflicts for smooth upgrade
- clean .spec a bit

* Wed Jul 06 2011 cjw <cjw> 3.1.3-3.mga2
+ Revision: 119517
- add conflict on old gnome-color-manager because a file was moved

* Wed Jul 06 2011 fwang <fwang> 3.1.3-2.mga2
+ Revision: 119369
- rebuild for new xcb-util

* Tue Jul 05 2011 cjw <cjw> 3.1.3-1.mga2
+ Revision: 118992
- 3.1.3

  + mikala <mikala>
    - Add cups-pk-helper as a requires
    - Add nm-applet as a suggests

* Wed Jun 22 2011 cjw <cjw> 3.0.2-5.mga2
+ Revision: 112519
- add a dependency on libproxy-gnome so applications that
  use libproxy have access to the gnome 3 proxy config

* Tue Jun 21 2011 cjw <cjw> 3.0.2-4.mga2
+ Revision: 111666
- add BuildRequires: libnm-glib-devel
- add network panel, needed to configure proxy settings

* Sat Jun 18 2011 mikala <mikala> 3.0.2-3.mga2
+ Revision: 109470
- Add gnome-icon-theme-symbolic as a require
- use some macro for BR versionning
- Add apg as a requires (used to generate random password)
- Remove BuildRoot

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 103243
- Fix file list to not require devel packages

* Fri Jun 10 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 102760
- Add buildrequires
- Add buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- New version 3.0.2
  Sync configure options with fedora
  Remove la files

* Thu Jan 20 2011 blino <blino> 2.32.1-3.mga1
+ Revision: 25248
- rebuild because of rpm breakage

* Wed Jan 19 2011 blino <blino> 2.32.1-2.mga1
+ Revision: 25012
- remove old obsoletes/provides/conflicts
- remove old version in comments
- remove backgrounds dir patch, we will use default /usr/share/backgrounds for now
- remove old distro backgrounds

* Wed Jan 19 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 24954
- BuildRequires libsm-devel

  + blino <blino>
    - imported package gnome-control-center

